Bug 505489 - UQM cannot find autodownloaded data
UQM cannot find autodownloaded data
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: uqm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 01:11 EDT by Ben
Modified: 2009-07-19 06:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6.2-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben 2009-06-12 01:11:34 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.10) Gecko/2009042708 Fedora/3.0.10-1.fc10 Firefox/3.0.10

The uqm startup script autodownloads content to ~/.uqm/content, but nothing points uqm itself at this directory. It therefore always exits with "Fatal error: Could not find content."

A workaround is to add this option via a file sourced by /usr/bin/uqm, e.g.: echo 'UQM_OPTS="-n $HOME/.uqm/content"' > ~/.uqm/uqm.conf



Reproducible: Always

Steps to Reproduce:
1. Start /usr/bin/uqm
2. Wait for autodownload to finish (see also: bug 494465)
3. Get error.
Actual Results:  
Couldn't find the content
Comment 1 Elliot 2009-06-21 18:56:19 EDT
I'm using Fedora 11, and experience the same bug.  Here is what I did to fix it using the information you provided in the work around:

Open a terminal and type the following:
$ sudo nano /etc/uqm.conf

Aside from the comment lines, the uqm.conf looked like this:
UQM_OPTS=" "

I changed that line to the info you provided in the work around:
UQM_OPTS="-n $HOME/.uqm/content"

I saved the changes, and it's working now.  Thanks again for the helpful information.
Comment 2 Konstantin Ryabitsev 2009-06-27 08:26:09 EDT
(In reply to comment #1)
> I'm using Fedora 11, and experience the same bug.  Here is what I did to fix it
> using the information you provided in the work around:
> 
> Open a terminal and type the following:
> $ sudo nano /etc/uqm.conf
> 
> Aside from the comment lines, the uqm.conf looked like this:
> UQM_OPTS=" "
> 
> I changed that line to the info you provided in the work around:
> UQM_OPTS="-n $HOME/.uqm/content"
> 
> I saved the changes, and it's working now.  Thanks again for the helpful
> information.  

Thanks, Elliot, I'll be pushing a fixed version into F10+ in a little bit.
Comment 3 Fedora Update System 2009-06-27 09:03:07 EDT
uqm-0.6.2-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/uqm-0.6.2-9.fc10
Comment 4 Fedora Update System 2009-06-27 09:03:12 EDT
uqm-0.6.2-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/uqm-0.6.2-9.fc11
Comment 5 Fedora Update System 2009-06-30 17:26:19 EDT
uqm-0.6.2-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uqm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7085
Comment 6 Fedora Update System 2009-06-30 17:27:12 EDT
uqm-0.6.2-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uqm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7089
Comment 7 Fedora Update System 2009-07-19 06:12:34 EDT
uqm-0.6.2-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-19 06:23:15 EDT
uqm-0.6.2-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.